/***************************************************************************
    LibUFO - UI For OpenGL
    copyright         : (C) 2001-2005 by Johannes Schmidt
    email             : schmidtjf at users.sourceforge.net
                             -------------------

    file              : src/gl/ugl_font_data.cpp
    begin             : Sat Jun 5 2004
    $Id: ugl_font_data.cpp,v 1.3 2005/07/15 14:21:02 abmann Exp $
 ***************************************************************************/

/***************************************************************************
 *  This library is free software; you can redistribute it and/or          *
 * modify it under the terms of the GNU Lesser General Public              *
 * License as published by the Free Software Foundation; either            *
 * version 2.1 of the License, or (at your option) any later version.      *
 *                                                                         *
 * This library is distributed in the hope that it will be useful,         *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       *
 * Lesser General Public License for more details.                         *
 *                                                                         *
 * You should have received a copy of the GNU Lesser General Public        *
 * License along with this library; if not, write to the Free Software     *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
 ***************************************************************************/


// The builtin font data has been automatically generated 
// by the ugenfonts utility.

// It is based on the freeglut genfonts utility:
// Copyright (c) 1999-2000 by Pawel W. Olszta
// Thanks Pawel
// http://freeglut.sourceforge.net



#include <ufo/gl/ugl_builtinfontrenderer.hpp>

using namespace ufo;

/*
 * Following fonts are defined in this file:
 * 
 * 1. s_font_fixed8x13 <-misc-fixed-medium-r-normal--13-120-75-75-C-80-iso8859-1>
 * 2. s_font_helvetica10 <-adobe-helvetica-medium-r-normal--10-100-75-75-p-56-iso8859-1>
 * 3. s_font_helvetica12 <-adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso8859-1>
 * 4. s_font_timesRoman10 <-adobe-times-medium-r-normal--10-100-75-75-p-54-iso8859-1>
 */

static const uint8_t fixed8x13_Character_032[] = {  3,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* " " */
static const uint8_t fixed8x13_Character_097[] = {  7,  0,  0,116,140,132,124,  4,120,  0,  0,  0,  0,  0}; /* "a" */
static const uint8_t fixed8x13_Character_098[] = {  7,  0,  0,184,196,132,132,196,184,128,128,128,  0,  0}; /* "b" */
static const uint8_t fixed8x13_Character_099[] = {  7,  0,  0,120,132,128,128,132,120,  0,  0,  0,  0,  0}; /* "c" */
static const uint8_t fixed8x13_Character_100[] = {  7,  0,  0,116,140,132,132,140,116,  4,  4,  4,  0,  0}; /* "d" */
static const uint8_t fixed8x13_Character_101[] = {  7,  0,  0,120,132,128,252,132,120,  0,  0,  0,  0,  0}; /* "e" */
static const uint8_t fixed8x13_Character_102[] = {  7,  0,  0, 64, 64, 64, 64,248, 64, 64, 68, 56,  0,  0}; /* "f" */
static const uint8_t fixed8x13_Character_103[] = {  7,120,132,120,128,112,136,136,116,  0,  0,  0,  0,  0}; /* "g" */
static const uint8_t fixed8x13_Character_104[] = {  7,  0,  0,132,132,132,132,196,184,128,128,128,  0,  0}; /* "h" */
static const uint8_t fixed8x13_Character_105[] = {  6,  0,  0,248, 32, 32, 32, 32, 96,  0, 32,  0,  0,  0}; /* "i" */
static const uint8_t fixed8x13_Character_106[] = {  6,112,136,136,  8,  8,  8,  8, 24,  0,  8,  0,  0,  0}; /* "j" */
static const uint8_t fixed8x13_Character_107[] = {  7,  0,  0,132,136,144,224,144,136,128,128,128,  0,  0}; /* "k" */
static const uint8_t fixed8x13_Character_108[] = {  6,  0,  0,248, 32, 32, 32, 32, 32, 32, 32, 96,  0,  0}; /* "l" */
static const uint8_t fixed8x13_Character_109[] = {  8,  0,  0,130,146,146,146,146,236,  0,  0,  0,  0,  0}; /* "m" */
static const uint8_t fixed8x13_Character_110[] = {  7,  0,  0,132,132,132,132,196,184,  0,  0,  0,  0,  0}; /* "n" */
static const uint8_t fixed8x13_Character_111[] = {  7,  0,  0,120,132,132,132,132,120,  0,  0,  0,  0,  0}; /* "o" */
static const uint8_t fixed8x13_Character_112[] = {  7,128,128,128,184,196,132,196,184,  0,  0,  0,  0,  0}; /* "p" */
static const uint8_t fixed8x13_Character_113[] = {  7,  4,  4,  4,116,140,132,140,116,  0,  0,  0,  0,  0}; /* "q" */
static const uint8_t fixed8x13_Character_114[] = {  7,  0,  0, 64, 64, 64, 64, 68,184,  0,  0,  0,  0,  0}; /* "r" */
static const uint8_t fixed8x13_Character_115[] = {  7,  0,  0,120,132, 24, 96,132,120,  0,  0,  0,  0,  0}; /* "s" */
static const uint8_t fixed8x13_Character_116[] = {  7,  0,  0, 56, 68, 64, 64, 64,248, 64, 64,  0,  0,  0}; /* "t" */
static const uint8_t fixed8x13_Character_117[] = {  7,  0,  0,116,136,136,136,136,136,  0,  0,  0,  0,  0}; /* "u" */
static const uint8_t fixed8x13_Character_119[] = {  8,  0,  0, 68,170,146,146,130,130,  0,  0,  0,  0,  0}; /* "w" */
static const uint8_t fixed8x13_Character_118[] = {  6,  0,  0, 32, 80, 80,136,136,136,  0,  0,  0,  0,  0}; /* "v" */
static const uint8_t fixed8x13_Character_120[] = {  7,  0,  0,132, 72, 48, 48, 72,132,  0,  0,  0,  0,  0}; /* "x" */
static const uint8_t fixed8x13_Character_121[] = {  7,120,132,  4,116,140,132,132,132,  0,  0,  0,  0,  0}; /* "y" */
static const uint8_t fixed8x13_Character_122[] = {  7,  0,  0,252, 64, 32, 16,  8,252,  0,  0,  0,  0,  0}; /* "z" */
static const uint8_t fixed8x13_Character_065[] = {  7,  0,  0,132,132,132,252,132,132,132, 72, 48,  0,  0}; /* "A" */
static const uint8_t fixed8x13_Character_066[] = {  7,  0,  0,240,136,132,136,240,136,132,136,240,  0,  0}; /* "B" */
static const uint8_t fixed8x13_Character_067[] = {  7,  0,  0,120,132,128,128,128,128,128,132,120,  0,  0}; /* "C" */
static const uint8_t fixed8x13_Character_068[] = {  7,  0,  0,240,136,132,132,132,132,132,136,240,  0,  0}; /* "D" */
static const uint8_t fixed8x13_Character_069[] = {  7,  0,  0,252,128,128,128,240,128,128,128,252,  0,  0}; /* "E" */
static const uint8_t fixed8x13_Character_070[] = {  7,  0,  0,128,128,128,128,240,128,128,128,252,  0,  0}; /* "F" */
static const uint8_t fixed8x13_Character_071[] = {  7,  0,  0,116,140,132,156,128,128,128,132,120,  0,  0}; /* "G" */
static const uint8_t fixed8x13_Character_072[] = {  7,  0,  0,132,132,132,132,252,132,132,132,132,  0,  0}; /* "H" */
static const uint8_t fixed8x13_Character_073[] = {  6,  0,  0,248, 32, 32, 32, 32, 32, 32, 32,248,  0,  0}; /* "I" */
static const uint8_t fixed8x13_Character_074[] = {  8,  0,  0,112,136,  8,  8,  8,  8,  8,  8, 62,  0,  0}; /* "J" */
static const uint8_t fixed8x13_Character_075[] = {  7,  0,  0,132,136,144,160,192,160,144,136,132,  0,  0}; /* "K" */
static const uint8_t fixed8x13_Character_076[] = {  7,  0,  0,252,128,128,128,128,128,128,128,128,  0,  0}; /* "L" */
static const uint8_t fixed8x13_Character_077[] = {  8,  0,  0,130,130,130,146,146,170,198,130,130,  0,  0}; /* "M" */
static const uint8_t fixed8x13_Character_078[] = {  7,  0,  0,132,132,132,140,148,164,196,132,132,  0,  0}; /* "N" */
static const uint8_t fixed8x13_Character_079[] = {  7,  0,  0,120,132,132,132,132,132,132,132,120,  0,  0}; /* "O" */
static const uint8_t fixed8x13_Character_080[] = {  7,  0,  0,128,128,128,128,248,132,132,132,248,  0,  0}; /* "P" */
static const uint8_t fixed8x13_Character_081[] = {  7,  0,  4,120,148,164,132,132,132,132,132,120,  0,  0}; /* "Q" */
static const uint8_t fixed8x13_Character_082[] = {  7,  0,  0,132,136,144,160,248,132,132,132,248,  0,  0}; /* "R" */
static const uint8_t fixed8x13_Character_083[] = {  7,  0,  0,120,132,  4,  4,120,128,128,132,120,  0,  0}; /* "S" */
static const uint8_t fixed8x13_Character_084[] = {  8,  0,  0, 16, 16, 16, 16, 16, 16, 16, 16,254,  0,  0}; /* "T" */
static const uint8_t fixed8x13_Character_085[] = {  7,  0,  0,120,132,132,132,132,132,132,132,132,  0,  0}; /* "U" */
static const uint8_t fixed8x13_Character_087[] = {  8,  0,  0, 68,170,146,146,146,130,130,130,130,  0,  0}; /* "W" */
static const uint8_t fixed8x13_Character_086[] = {  8,  0,  0, 16, 40, 40, 40, 68, 68, 68,130,130,  0,  0}; /* "V" */
static const uint8_t fixed8x13_Character_088[] = {  8,  0,  0,130,130, 68, 40, 16, 40, 68,130,130,  0,  0}; /* "X" */
static const uint8_t fixed8x13_Character_089[] = {  8,  0,  0, 16, 16, 16, 16, 16, 40, 68,130,130,  0,  0}; /* "Y" */
static const uint8_t fixed8x13_Character_090[] = {  7,  0,  0,252,128,128, 64, 32, 16,  8,  4,252,  0,  0}; /* "Z" */
static const uint8_t fixed8x13_Character_048[] = {  7,  0,  0, 48, 72,132,132,132,132,132, 72, 48,  0,  0}; /* "0" */
static const uint8_t fixed8x13_Character_049[] = {  6,  0,  0,248, 32, 32, 32, 32, 32,160, 96, 32,  0,  0}; /* "1" */
static const uint8_t fixed8x13_Character_050[] = {  7,  0,  0,252,128, 64, 48,  8,  4,132,132,120,  0,  0}; /* "2" */
static const uint8_t fixed8x13_Character_051[] = {  7,  0,  0,120,132,  4,  4, 56, 16,  8,  4,252,  0,  0}; /* "3" */
static const uint8_t fixed8x13_Character_052[] = {  7,  0,  0,  8,  8,252,136,136, 72, 40, 24,  8,  0,  0}; /* "4" */
static const uint8_t fixed8x13_Character_053[] = {  7,  0,  0,120,132,  4,  4,196,184,128,128,252,  0,  0}; /* "5" */
static const uint8_t fixed8x13_Character_054[] = {  7,  0,  0,120,132,132,196,184,128,128, 64, 56,  0,  0}; /* "6" */
static const uint8_t fixed8x13_Character_055[] = {  7,  0,  0, 64, 64, 32, 32, 16, 16,  8,  4,252,  0,  0}; /* "7" */
static const uint8_t fixed8x13_Character_056[] = {  7,  0,  0,120,132,132,132,120,132,132,132,120,  0,  0}; /* "8" */
static const uint8_t fixed8x13_Character_057[] = {  7,  0,  0,112,  8,  4,  4,116,140,132,132,120,  0,  0}; /* "9" */
static const uint8_t fixed8x13_Character_246[] = {  7,  0,  0,120,132,132,132,132,120,  0, 72, 72,  0,  0}; /* "" */
static const uint8_t fixed8x13_Character_228[] = {  7,  0,  0,116,140,132,124,  4,120,  0, 72, 72,  0,  0}; /* "" */
static const uint8_t fixed8x13_Character_252[] = {  7,  0,  0,116,136,136,136,136,136,  0, 80, 80,  0,  0}; /* "" */
static const uint8_t fixed8x13_Character_214[] = {  8,  0,  0,124,130,130,130,130,130,124,  0, 68, 68,  0}; /* "" */
static const uint8_t fixed8x13_Character_196[] = {  7,  0,  0,132,132,252,132,132, 72, 48,  0, 72, 72,  0}; /* "" */
static const uint8_t fixed8x13_Character_220[] = {  7,  0,  0,120,132,132,132,132,132,132,  0, 72, 72,  0}; /* "" */
static const uint8_t fixed8x13_Character_223[] = {  7,  0,  0,184,132,132,152,160,144,136,136,112,  0,  0}; /* "" */
static const uint8_t fixed8x13_Character_096[] = {  3,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 64,128,  0}; /* "`" */
static const uint8_t fixed8x13_Character_039[] = {  2,  0,  0,  0,  0,  0,  0,  0,  0,128,128,128,  0,  0}; /* "'" */
static const uint8_t fixed8x13_Character_124[] = {  2,  0,  0,128,128,128,128,128,128,128,128,128,  0,  0}; /* "|" */
static const uint8_t fixed8x13_Character_126[] = {  6,  0,  0,  0,  0,  0,  0,  0,  0,144,168, 72,  0,  0}; /* "~" */
static const uint8_t fixed8x13_Character_033[] = {  2,  0,  0,128,  0,128,128,128,128,128,128,128,  0,  0}; /* "!" */
static const uint8_t fixed8x13_Character_064[] = {  7,  0,  0,120,128,148,172,164,156,132,132,120,  0,  0}; /* "@" */
static const uint8_t fixed8x13_Character_035[] = {  7,  0,  0,  0, 72, 72,252, 72,252, 72, 72,  0,  0,  0}; /* "#" */
static const uint8_t fixed8x13_Character_036[] = {  6,  0,  0, 32,240, 40, 40,112,160,160,120, 32,  0,  0}; /* "$" */
static const uint8_t fixed8x13_Character_037[] = {  7,  0,  0,136, 84, 72, 32, 16, 16, 72,164, 68,  0,  0}; /* "%" */
static const uint8_t fixed8x13_Character_094[] = {  6,  0,  0,  0,  0,  0,  0,  0,  0,136, 80, 32,  0,  0}; /* "^" */
static const uint8_t fixed8x13_Character_038[] = {  7,  0,  0,116,136,148, 96,144,144, 96,  0,  0,  0,  0}; /* "&" */
static const uint8_t fixed8x13_Character_042[] = {  7,  0,  0,  0,  0,  0,  0, 72, 48,252, 48, 72,  0,  0}; /* "*" */
static const uint8_t fixed8x13_Character_040[] = {  4,  0,  0, 32, 64, 64,128,128,128, 64, 64, 32,  0,  0}; /* "(" */
static const uint8_t fixed8x13_Character_041[] = {  4,  0,  0,128, 64, 64, 32, 32, 32, 64, 64,128,  0,  0}; /* ")" */
static const uint8_t fixed8x13_Character_045[] = {  6,  0,  0,  0,  0,  0,  0,248,  0,  0,  0,  0,  0,  0}; /* "-" */
static const uint8_t fixed8x13_Character_095[] = {  8,  0,254,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "_" */
static const uint8_t fixed8x13_Character_061[] = {  7,  0,  0,  0,  0,252,  0,  0,252,  0,  0,  0,  0,  0}; /* "=" */
static const uint8_t fixed8x13_Character_043[] = {  6,  0,  0,  0,  0, 32, 32,248, 32, 32,  0,  0,  0,  0}; /* "+" */
static const uint8_t fixed8x13_Character_091[] = {  5,  0,  0,240,128,128,128,128,128,128,128,240,  0,  0}; /* "[" */
static const uint8_t fixed8x13_Character_123[] = {  6,  0,  0, 56, 64, 64, 32,192, 32, 64, 64, 56,  0,  0}; /* "{" */
static const uint8_t fixed8x13_Character_125[] = {  6,  0,  0,224, 16, 16, 32, 24, 32, 16, 16,224,  0,  0}; /* "}" */
static const uint8_t fixed8x13_Character_093[] = {  5,  0,  0,240, 16, 16, 16, 16, 16, 16, 16,240,  0,  0}; /* "]" */
static const uint8_t fixed8x13_Character_059[] = {  5,  0,128, 96,112,  0,  0, 32,112, 32,  0,  0,  0,  0}; /* ";" */
static const uint8_t fixed8x13_Character_058[] = {  4,  0, 64,224, 64,  0,  0, 64,224, 64,  0,  0,  0,  0}; /* ":" */
static const uint8_t fixed8x13_Character_044[] = {  5,  0,128, 96,112,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "," */
static const uint8_t fixed8x13_Character_046[] = {  4,  0, 64,224, 64,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "." */
static const uint8_t fixed8x13_Character_060[] = {  6,  0,  0,  8, 16, 32, 64,128, 64, 32, 16,  8,  0,  0}; /* "<" */
static const uint8_t fixed8x13_Character_062[] = {  6,  0,  0,128, 64, 32, 16,  8, 16, 32, 64,128,  0,  0}; /* ">" */
static const uint8_t fixed8x13_Character_047[] = {  8,  0,  0,128,128, 64, 32, 16,  8,  4,  2,  2,  0,  0}; /* "/" */
static const uint8_t fixed8x13_Character_063[] = {  7,  0,  0, 16,  0, 16, 16,  8,  4,132,132,120,  0,  0}; /* "?" */
static const uint8_t fixed8x13_Character_092[] = {  8,  0,  0,  2,  2,  4,  8, 16, 32, 64,128,128,  0,  0}; /* "\" */
static const uint8_t fixed8x13_Character_034[] = {  5,  0,  0,  0,  0,  0,  0,  0,  0,144,144,144,  0,  0}; /* """ */

/* The font characters mapping: */
const uint8_t * s_fixed8x13_characters[] = {
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_032,
fixed8x13_Character_033,fixed8x13_Character_034,fixed8x13_Character_035,
fixed8x13_Character_036,fixed8x13_Character_037,fixed8x13_Character_038,
fixed8x13_Character_039,fixed8x13_Character_040,fixed8x13_Character_041,
fixed8x13_Character_042,fixed8x13_Character_043,fixed8x13_Character_044,
fixed8x13_Character_045,fixed8x13_Character_046,fixed8x13_Character_047,
fixed8x13_Character_048,fixed8x13_Character_049,fixed8x13_Character_050,
fixed8x13_Character_051,fixed8x13_Character_052,fixed8x13_Character_053,
fixed8x13_Character_054,fixed8x13_Character_055,fixed8x13_Character_056,
fixed8x13_Character_057,fixed8x13_Character_058,fixed8x13_Character_059,
fixed8x13_Character_060,fixed8x13_Character_061,fixed8x13_Character_062,
fixed8x13_Character_063,fixed8x13_Character_064,fixed8x13_Character_065,
fixed8x13_Character_066,fixed8x13_Character_067,fixed8x13_Character_068,
fixed8x13_Character_069,fixed8x13_Character_070,fixed8x13_Character_071,
fixed8x13_Character_072,fixed8x13_Character_073,fixed8x13_Character_074,
fixed8x13_Character_075,fixed8x13_Character_076,fixed8x13_Character_077,
fixed8x13_Character_078,fixed8x13_Character_079,fixed8x13_Character_080,
fixed8x13_Character_081,fixed8x13_Character_082,fixed8x13_Character_083,
fixed8x13_Character_084,fixed8x13_Character_085,fixed8x13_Character_086,
fixed8x13_Character_087,fixed8x13_Character_088,fixed8x13_Character_089,
fixed8x13_Character_090,fixed8x13_Character_091,fixed8x13_Character_092,
fixed8x13_Character_093,fixed8x13_Character_094,fixed8x13_Character_095,
fixed8x13_Character_096,fixed8x13_Character_097,fixed8x13_Character_098,
fixed8x13_Character_099,fixed8x13_Character_100,fixed8x13_Character_101,
fixed8x13_Character_102,fixed8x13_Character_103,fixed8x13_Character_104,
fixed8x13_Character_105,fixed8x13_Character_106,fixed8x13_Character_107,
fixed8x13_Character_108,fixed8x13_Character_109,fixed8x13_Character_110,
fixed8x13_Character_111,fixed8x13_Character_112,fixed8x13_Character_113,
fixed8x13_Character_114,fixed8x13_Character_115,fixed8x13_Character_116,
fixed8x13_Character_117,fixed8x13_Character_118,fixed8x13_Character_119,
fixed8x13_Character_120,fixed8x13_Character_121,fixed8x13_Character_122,
fixed8x13_Character_123,fixed8x13_Character_124,fixed8x13_Character_125,
fixed8x13_Character_126,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_196,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_214,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_220,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_223,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_228,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_246,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_252,fixed8x13_Character_042,fixed8x13_Character_042,
fixed8x13_Character_042,NULL};

/* The font structure: */
const ufo::UBuiltinFontStruct ufo::s_font_fixed8x13 = {"-misc-fixed-medium-r-normal--13-120-75-75-C-80-iso8859-1", 11, 2, 11, 2, 8, s_fixed8x13_characters};

static const uint8_t helvetica10_Character_032[] = {  4,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* " " */
static const uint8_t helvetica10_Character_097[] = {  6,  0,  0,104,144,144,112, 16,224,  0,  0,  0,  0,  0}; /* "a" */
static const uint8_t helvetica10_Character_098[] = {  6,  0,  0,176,200,136,136,200,176,128,128,  0,  0,  0}; /* "b" */
static const uint8_t helvetica10_Character_099[] = {  5,  0,  0, 96,144,128,128,144, 96,  0,  0,  0,  0,  0}; /* "c" */
static const uint8_t helvetica10_Character_100[] = {  6,  0,  0,104,152,136,136,152,104,  8,  8,  0,  0,  0}; /* "d" */
static const uint8_t helvetica10_Character_101[] = {  5,  0,  0, 96,144,128,240,144, 96,  0,  0,  0,  0,  0}; /* "e" */
static const uint8_t helvetica10_Character_102[] = {  5,  0,  0, 64, 64, 64, 64, 64,224, 64, 48,  0,  0,  0}; /* "f" */
static const uint8_t helvetica10_Character_103[] = {  6,112,  8,104,152,136,136,152,104,  0,  0,  0,  0,  0}; /* "g" */
static const uint8_t helvetica10_Character_104[] = {  6,  0,  0,136,136,136,136,200,176,128,128,  0,  0,  0}; /* "h" */
static const uint8_t helvetica10_Character_105[] = {  2,  0,  0,128,128,128,128,128,128,  0,128,  0,  0,  0}; /* "i" */
static const uint8_t helvetica10_Character_106[] = {  2,  0,128,128,128,128,128,128,128,  0,128,  0,  0,  0}; /* "j" */
static const uint8_t helvetica10_Character_107[] = {  5,  0,  0,144,144,160,192,160,144,128,128,  0,  0,  0}; /* "k" */
static const uint8_t helvetica10_Character_108[] = {  2,  0,  0,128,128,128,128,128,128,128,128,  0,  0,  0}; /* "l" */
static const uint8_t helvetica10_Character_109[] = {  8,  0,  0,146,146,146,146,146,236,  0,  0,  0,  0,  0}; /* "m" */
static const uint8_t helvetica10_Character_110[] = {  6,  0,  0,136,136,136,136,200,176,  0,  0,  0,  0,  0}; /* "n" */
static const uint8_t helvetica10_Character_111[] = {  6,  0,  0,112,136,136,136,136,112,  0,  0,  0,  0,  0}; /* "o" */
static const uint8_t helvetica10_Character_112[] = {  6,128,128,176,200,136,136,200,176,  0,  0,  0,  0,  0}; /* "p" */
static const uint8_t helvetica10_Character_113[] = {  6,  8,  8,104,152,136,136,152,104,  0,  0,  0,  0,  0}; /* "q" */
static const uint8_t helvetica10_Character_114[] = {  4,  0,  0,128,128,128,128,192,160,  0,  0,  0,  0,  0}; /* "r" */
static const uint8_t helvetica10_Character_115[] = {  5,  0,  0, 96,144, 16, 96,144, 96,  0,  0,  0,  0,  0}; /* "s" */
static const uint8_t helvetica10_Character_116[] = {  4,  0,  0, 96, 64, 64, 64, 64,224, 64, 64,  0,  0,  0}; /* "t" */
static const uint8_t helvetica10_Character_117[] = {  5,  0,  0,112,144,144,144,144,144,  0,  0,  0,  0,  0}; /* "u" */
static const uint8_t helvetica10_Character_119[] = {  8,  0,  0, 40, 40, 84, 84,146,146,  0,  0,  0,  0,  0}; /* "w" */
static const uint8_t helvetica10_Character_118[] = {  6,  0,  0, 32, 32, 80, 80,136,136,  0,  0,  0,  0,  0}; /* "v" */
static const uint8_t helvetica10_Character_120[] = {  6,  0,  0,136,136, 80, 32, 80,136,  0,  0,  0,  0,  0}; /* "x" */
static const uint8_t helvetica10_Character_121[] = {  5,128, 64, 64, 96,160,160,144,144,  0,  0,  0,  0,  0}; /* "y" */
static const uint8_t helvetica10_Character_122[] = {  5,  0,  0,240,128, 64, 32, 16,240,  0,  0,  0,  0,  0}; /* "z" */
static const uint8_t helvetica10_Character_065[] = {  8,  0,  0,130,130,124, 68, 40, 40, 16, 16,  0,  0,  0}; /* "A" */
static const uint8_t helvetica10_Character_066[] = {  6,  0,  0,240,136,136,136,240,136,136,240,  0,  0,  0}; /* "B" */
static const uint8_t helvetica10_Character_067[] = {  7,  0,  0,120,132,128,128,128,128,132,120,  0,  0,  0}; /* "C" */
static const uint8_t helvetica10_Character_068[] = {  7,  0,  0,240,136,132,132,132,132,136,240,  0,  0,  0}; /* "D" */
static const uint8_t helvetica10_Character_069[] = {  6,  0,  0,248,128,128,128,248,128,128,248,  0,  0,  0}; /* "E" */
static const uint8_t helvetica10_Character_070[] = {  6,  0,  0,128,128,128,128,240,128,128,248,  0,  0,  0}; /* "F" */
static const uint8_t helvetica10_Character_071[] = {  7,  0,  0,116,140,132,140,128,128,132,120,  0,  0,  0}; /* "G" */
static const uint8_t helvetica10_Character_072[] = {  7,  0,  0,132,132,132,132,252,132,132,132,  0,  0,  0}; /* "H" */
static const uint8_t helvetica10_Character_073[] = {  2,  0,  0,128,128,128,128,128,128,128,128,  0,  0,  0}; /* "I" */
static const uint8_t helvetica10_Character_074[] = {  5,  0,  0, 96,144, 16, 16, 16, 16, 16, 16,  0,  0,  0}; /* "J" */
static const uint8_t helvetica10_Character_075[] = {  6,  0,  0,136,136,144,144,224,160,144,136,  0,  0,  0}; /* "K" */
static const uint8_t helvetica10_Character_076[] = {  5,  0,  0,240,128,128,128,128,128,128,128,  0,  0,  0}; /* "L" */
static const uint8_t helvetica10_Character_077[] = {  8,  0,  0,146,146,146,170,170,198,198,130,  0,  0,  0}; /* "M" */
static const uint8_t helvetica10_Character_078[] = {  7,  0,  0,140,140,148,148,164,164,196,196,  0,  0,  0}; /* "N" */
static const uint8_t helvetica10_Character_079[] = {  7,  0,  0,120,132,132,132,132,132,132,120,  0,  0,  0}; /* "O" */
static const uint8_t helvetica10_Character_080[] = {  6,  0,  0,128,128,128,128,240,136,136,240,  0,  0,  0}; /* "P" */
static const uint8_t helvetica10_Character_081[] = {  8,  0,  2,124,140,148,132,132,132,132,120,  0,  0,  0}; /* "Q" */
static const uint8_t helvetica10_Character_082[] = {  6,  0,  0,136,136,136,136,240,136,136,240,  0,  0,  0}; /* "R" */
static const uint8_t helvetica10_Character_083[] = {  6,  0,  0,112,136,136,  8,112,128,136,112,  0,  0,  0}; /* "S" */
static const uint8_t helvetica10_Character_084[] = {  6,  0,  0, 32, 32, 32, 32, 32, 32, 32,248,  0,  0,  0}; /* "T" */
static const uint8_t helvetica10_Character_085[] = {  7,  0,  0,120,132,132,132,132,132,132,132,  0,  0,  0}; /* "U" */
static const uint8_t helvetica10_Character_087[] = { 10,  0,  0,  0,  0, 34,  0, 34,  0, 34,  0, 85,  0, 73,  0, 73,  0,136,128,136,128,  0,  0,  0,  0,  0,  0}; /* "W" */
static const uint8_t helvetica10_Character_086[] = {  8,  0,  0, 16, 40, 40, 68, 68, 68,130,130,  0,  0,  0}; /* "V" */
static const uint8_t helvetica10_Character_088[] = {  6,  0,  0,136,136, 80, 80, 32, 80,136,136,  0,  0,  0}; /* "X" */
static const uint8_t helvetica10_Character_089[] = {  8,  0,  0, 16, 16, 16, 40, 40, 68, 68,130,  0,  0,  0}; /* "Y" */
static const uint8_t helvetica10_Character_090[] = {  6,  0,  0,248,128, 64, 32, 32, 16,  8,248,  0,  0,  0}; /* "Z" */
static const uint8_t helvetica10_Character_048[] = {  6,  0,  0,112,136,136,136,136,136,136,112,  0,  0,  0}; /* "0" */
static const uint8_t helvetica10_Character_049[] = {  3,  0,  0, 64, 64, 64, 64, 64, 64,192, 64,  0,  0,  0}; /* "1" */
static const uint8_t helvetica10_Character_050[] = {  6,  0,  0,248,128, 64, 48,  8,  8,136,112,  0,  0,  0}; /* "2" */
static const uint8_t helvetica10_Character_051[] = {  6,  0,  0,112,136,  8,  8, 48,  8,136,112,  0,  0,  0}; /* "3" */
static const uint8_t helvetica10_Character_052[] = {  6,  0,  0, 16, 16,248,144, 80, 80, 48, 16,  0,  0,  0}; /* "4" */
static const uint8_t helvetica10_Character_053[] = {  6,  0,  0,112,136,  8,  8,240,128,128,248,  0,  0,  0}; /* "5" */
static const uint8_t helvetica10_Character_054[] = {  6,  0,  0,112,136,136,200,176,128,136,112,  0,  0,  0}; /* "6" */
static const uint8_t helvetica10_Character_055[] = {  6,  0,  0, 64, 64, 32, 32, 16, 16,  8,248,  0,  0,  0}; /* "7" */
static const uint8_t helvetica10_Character_056[] = {  6,  0,  0,112,136,136,136,112,136,136,112,  0,  0,  0}; /* "8" */
static const uint8_t helvetica10_Character_057[] = {  6,  0,  0,112,136,  8,104,152,136,136,112,  0,  0,  0}; /* "9" */
static const uint8_t helvetica10_Character_246[] = {  6,  0,  0,112,136,136,136,136,112,  0, 80,  0,  0,  0}; /* "" */
static const uint8_t helvetica10_Character_228[] = {  6,  0,  0,104,144,144,112, 16,224,  0, 80,  0,  0,  0}; /* "" */
static const uint8_t helvetica10_Character_252[] = {  5,  0,  0,112,144,144,144,144,144,  0, 80,  0,  0,  0}; /* "" */
static const uint8_t helvetica10_Character_214[] = {  7,  0,  0,120,132,132,132,132,132,132,120,  0, 72,  0}; /* "" */
static const uint8_t helvetica10_Character_196[] = {  8,  0,  0,130,130,124, 68, 40, 40, 16, 16,  0, 40,  0}; /* "" */
static const uint8_t helvetica10_Character_220[] = {  7,  0,  0,120,132,132,132,132,132,132,132,  0, 72,  0}; /* "" */
static const uint8_t helvetica10_Character_223[] = {  5,  0,  0,160,144,144,144,160,144,144, 96,  0,  0,  0}; /* "" */
static const uint8_t helvetica10_Character_096[] = {  3,  0,  0,  0,  0,  0,  0,  0,  0, 64,128,  0,  0,  0}; /* "`" */
static const uint8_t helvetica10_Character_039[] = {  2,  0,  0,  0,  0,  0,  0,  0,  0,128,128,  0,  0,  0}; /* "'" */
static const uint8_t helvetica10_Character_124[] = {  2,128,128,128,128,128,128,128,128,128,128,  0,  0,  0}; /* "|" */
static const uint8_t helvetica10_Character_126[] = {  7,  0,  0,  0,  0,  0,152,100,  0,  0,  0,  0,  0,  0}; /* "~" */
static const uint8_t helvetica10_Character_033[] = {  2,  0,  0,128,  0,128,128,128,128,128,128,  0,  0,  0}; /* "!" */
static const uint8_t helvetica10_Character_064[] = { 11, 62, 32, 64,  0,155, 32,164,160,164,160,162, 64,146, 64, 77, 96, 32,160, 31,  0,  0,  0,  0,  0,  0,  0}; /* "@" */
static const uint8_t helvetica10_Character_035[] = {  7,  0,  0, 80, 80,248, 40,124, 40, 40,  0,  0,  0,  0}; /* "#" */
static const uint8_t helvetica10_Character_036[] = {  6,  0, 32,112,168, 40,112,160,168,112, 32,  0,  0,  0}; /* "$" */
static const uint8_t helvetica10_Character_037[] = {  9,  0,  0,  0,  0, 38,  0, 41,  0, 22,  0, 16,  0,  8,  0,104,  0,148,  0,100,  0,  0,  0,  0,  0,  0,  0}; /* "%" */
static const uint8_t helvetica10_Character_094[] = {  6,  0,  0,  0,  0,  0,136, 80, 80, 32, 32,  0,  0,  0}; /* "^" */
static const uint8_t helvetica10_Character_038[] = {  7,  0,  0,100,152,152,164, 96, 80, 80, 32,  0,  0,  0}; /* "&" */
static const uint8_t helvetica10_Character_042[] = {  4,  0,  0,  0,  0,  0,  0,  0,160, 64,160,  0,  0,  0}; /* "*" */
static const uint8_t helvetica10_Character_040[] = {  4, 32, 64, 64,128,128,128,128, 64, 64, 32,  0,  0,  0}; /* "(" */
static const uint8_t helvetica10_Character_041[] = {  4,128, 64, 64, 32, 32, 32, 32, 64, 64,128,  0,  0,  0}; /* ")" */
static const uint8_t helvetica10_Character_045[] = {  4,  0,  0,  0,  0,  0,224,  0,  0,  0,  0,  0,  0,  0}; /* "-" */
static const uint8_t helvetica10_Character_095[] = {  7,252,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "_" */
static const uint8_t helvetica10_Character_061[] = {  5,  0,  0,  0,  0,240,  0,240,  0,  0,  0,  0,  0,  0}; /* "=" */
static const uint8_t helvetica10_Character_043[] = {  6,  0,  0,  0, 32, 32,248, 32, 32,  0,  0,  0,  0,  0}; /* "+" */
static const uint8_t helvetica10_Character_091[] = {  3,192,128,128,128,128,128,128,128,128,192,  0,  0,  0}; /* "[" */
static const uint8_t helvetica10_Character_123[] = {  4, 32, 64, 64, 64, 64,128, 64, 64, 64, 32,  0,  0,  0}; /* "{" */
static const uint8_t helvetica10_Character_125[] = {  4,128, 64, 64, 64, 64, 32, 64, 64, 64,128,  0,  0,  0}; /* "}" */
static const uint8_t helvetica10_Character_093[] = {  3,192, 64, 64, 64, 64, 64, 64, 64, 64,192,  0,  0,  0}; /* "]" */
static const uint8_t helvetica10_Character_059[] = {  3,128, 64, 64,  0,  0,  0,  0, 64,  0,  0,  0,  0,  0}; /* ";" */
static const uint8_t helvetica10_Character_058[] = {  2,  0,  0,128,  0,  0,  0,  0,128,  0,  0,  0,  0,  0}; /* ":" */
static const uint8_t helvetica10_Character_044[] = {  3,128, 64, 64,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "," */
static const uint8_t helvetica10_Character_046[] = {  2,  0,  0,128,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "." */
static const uint8_t helvetica10_Character_060[] = {  4,  0,  0,  0, 32, 64,128, 64, 32,  0,  0,  0,  0,  0}; /* "<" */
static const uint8_t helvetica10_Character_062[] = {  4,  0,  0,  0,128, 64, 32, 64,128,  0,  0,  0,  0,  0}; /* ">" */
static const uint8_t helvetica10_Character_047[] = {  4,  0,  0,128,128, 64, 64, 64, 64, 32, 32,  0,  0,  0}; /* "/" */
static const uint8_t helvetica10_Character_063[] = {  5,  0,  0, 64,  0, 64, 64, 32, 16,144, 96,  0,  0,  0}; /* "?" */
static const uint8_t helvetica10_Character_092[] = {  4,  0,  0, 32, 32, 64, 64, 64, 64,128,128,  0,  0,  0}; /* "\" */
static const uint8_t helvetica10_Character_034[] = {  4,  0,  0,  0,  0,  0,  0,  0,  0,160,160,  0,  0,  0}; /* """ */

/* The font characters mapping: */
const uint8_t * s_helvetica10_characters[] = {
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_032,
helvetica10_Character_033,helvetica10_Character_034,helvetica10_Character_035,
helvetica10_Character_036,helvetica10_Character_037,helvetica10_Character_038,
helvetica10_Character_039,helvetica10_Character_040,helvetica10_Character_041,
helvetica10_Character_042,helvetica10_Character_043,helvetica10_Character_044,
helvetica10_Character_045,helvetica10_Character_046,helvetica10_Character_047,
helvetica10_Character_048,helvetica10_Character_049,helvetica10_Character_050,
helvetica10_Character_051,helvetica10_Character_052,helvetica10_Character_053,
helvetica10_Character_054,helvetica10_Character_055,helvetica10_Character_056,
helvetica10_Character_057,helvetica10_Character_058,helvetica10_Character_059,
helvetica10_Character_060,helvetica10_Character_061,helvetica10_Character_062,
helvetica10_Character_063,helvetica10_Character_064,helvetica10_Character_065,
helvetica10_Character_066,helvetica10_Character_067,helvetica10_Character_068,
helvetica10_Character_069,helvetica10_Character_070,helvetica10_Character_071,
helvetica10_Character_072,helvetica10_Character_073,helvetica10_Character_074,
helvetica10_Character_075,helvetica10_Character_076,helvetica10_Character_077,
helvetica10_Character_078,helvetica10_Character_079,helvetica10_Character_080,
helvetica10_Character_081,helvetica10_Character_082,helvetica10_Character_083,
helvetica10_Character_084,helvetica10_Character_085,helvetica10_Character_086,
helvetica10_Character_087,helvetica10_Character_088,helvetica10_Character_089,
helvetica10_Character_090,helvetica10_Character_091,helvetica10_Character_092,
helvetica10_Character_093,helvetica10_Character_094,helvetica10_Character_095,
helvetica10_Character_096,helvetica10_Character_097,helvetica10_Character_098,
helvetica10_Character_099,helvetica10_Character_100,helvetica10_Character_101,
helvetica10_Character_102,helvetica10_Character_103,helvetica10_Character_104,
helvetica10_Character_105,helvetica10_Character_106,helvetica10_Character_107,
helvetica10_Character_108,helvetica10_Character_109,helvetica10_Character_110,
helvetica10_Character_111,helvetica10_Character_112,helvetica10_Character_113,
helvetica10_Character_114,helvetica10_Character_115,helvetica10_Character_116,
helvetica10_Character_117,helvetica10_Character_118,helvetica10_Character_119,
helvetica10_Character_120,helvetica10_Character_121,helvetica10_Character_122,
helvetica10_Character_123,helvetica10_Character_124,helvetica10_Character_125,
helvetica10_Character_126,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_196,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_214,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_220,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_223,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_228,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_246,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_252,helvetica10_Character_042,helvetica10_Character_042,
helvetica10_Character_042,NULL};

/* The font structure: */
const ufo::UBuiltinFontStruct ufo::s_font_helvetica10 = {"-adobe-helvetica-medium-r-normal--10-100-75-75-p-56-iso8859-1", 10, 2, 11, 2, 11, s_helvetica10_characters};

static const uint8_t helvetica12_Character_032[] = {  4,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* " " */
static const uint8_t helvetica12_Character_097[] = {  7,  0,  0,  0,116,136,136,120,  8,136,112,  0,  0,  0,  0,  0}; /* "a" */
static const uint8_t helvetica12_Character_098[] = {  6,  0,  0,  0,176,200,136,136,136,200,176,128,128,  0,  0,  0}; /* "b" */
static const uint8_t helvetica12_Character_099[] = {  6,  0,  0,  0,112,136,128,128,128,136,112,  0,  0,  0,  0,  0}; /* "c" */
static const uint8_t helvetica12_Character_100[] = {  6,  0,  0,  0,104,152,136,136,136,152,104,  8,  8,  0,  0,  0}; /* "d" */
static const uint8_t helvetica12_Character_101[] = {  6,  0,  0,  0,112,136,128,248,136,136,112,  0,  0,  0,  0,  0}; /* "e" */
static const uint8_t helvetica12_Character_102[] = {  5,  0,  0,  0, 64, 64, 64, 64, 64, 64,224, 64, 48,  0,  0,  0}; /* "f" */
static const uint8_t helvetica12_Character_103[] = {  6,112,136,  8,104,152,136,136,136,152,104,  0,  0,  0,  0,  0}; /* "g" */
static const uint8_t helvetica12_Character_104[] = {  6,  0,  0,  0,136,136,136,136,136,200,176,128,128,  0,  0,  0}; /* "h" */
static const uint8_t helvetica12_Character_105[] = {  2,  0,  0,  0,128,128,128,128,128,128,128,  0,128,  0,  0,  0}; /* "i" */
static const uint8_t helvetica12_Character_106[] = {  3,128, 64, 64, 64, 64, 64, 64, 64, 64, 64,  0, 64,  0,  0,  0}; /* "j" */
static const uint8_t helvetica12_Character_107[] = {  6,  0,  0,  0,136,144,160,192,192,160,144,128,128,  0,  0,  0}; /* "k" */
static const uint8_t helvetica12_Character_108[] = {  2,  0,  0,  0,128,128,128,128,128,128,128,128,128,  0,  0,  0}; /* "l" */
static const uint8_t helvetica12_Character_109[] = {  8,  0,  0,  0,146,146,146,146,146,218,164,  0,  0,  0,  0,  0}; /* "m" */
static const uint8_t helvetica12_Character_110[] = {  6,  0,  0,  0,136,136,136,136,136,200,176,  0,  0,  0,  0,  0}; /* "n" */
static const uint8_t helvetica12_Character_111[] = {  6,  0,  0,  0,112,136,136,136,136,136,112,  0,  0,  0,  0,  0}; /* "o" */
static const uint8_t helvetica12_Character_112[] = {  6,128,128,128,176,200,136,136,136,200,176,  0,  0,  0,  0,  0}; /* "p" */
static const uint8_t helvetica12_Character_113[] = {  6,  8,  8,  8,104,152,136,136,136,152,104,  0,  0,  0,  0,  0}; /* "q" */
static const uint8_t helvetica12_Character_114[] = {  4,  0,  0,  0,128,128,128,128,128,192,160,  0,  0,  0,  0,  0}; /* "r" */
static const uint8_t helvetica12_Character_115[] = {  5,  0,  0,  0, 96,144, 16, 96,128,144, 96,  0,  0,  0,  0,  0}; /* "s" */
static const uint8_t helvetica12_Character_116[] = {  4,  0,  0,  0, 96, 64, 64, 64, 64, 64,224, 64, 64,  0,  0,  0}; /* "t" */
static const uint8_t helvetica12_Character_117[] = {  6,  0,  0,  0,104,152,136,136,136,136,136,  0,  0,  0,  0,  0}; /* "u" */
static const uint8_t helvetica12_Character_119[] = { 10,  0,  0,  0,  0,  0,  0, 34,  0, 34,  0, 85,  0, 73,  0, 73,  0,136,128,136,128,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "w" */
static const uint8_t helvetica12_Character_118[] = {  6,  0,  0,  0, 32, 32, 80, 80,136,136,136,  0,  0,  0,  0,  0}; /* "v" */
static const uint8_t helvetica12_Character_120[] = {  7,  0,  0,  0,132,132, 72, 48, 48, 72,132,  0,  0,  0,  0,  0}; /* "x" */
static const uint8_t helvetica12_Character_121[] = {  6,128, 64, 32, 32, 80, 80,144,136,136,136,  0,  0,  0,  0,  0}; /* "y" */
static const uint8_t helvetica12_Character_122[] = {  5,  0,  0,  0,240,128, 64, 64, 32, 16,240,  0,  0,  0,  0,  0}; /* "z" */
static const uint8_t helvetica12_Character_065[] = {  8,  0,  0,  0,130,130,130,124, 68, 68, 40, 40, 16,  0,  0,  0}; /* "A" */
static const uint8_t helvetica12_Character_066[] = {  7,  0,  0,  0,248,132,132,132,248,132,132,132,248,  0,  0,  0}; /* "B" */
static const uint8_t helvetica12_Character_067[] = {  8,  0,  0,  0, 60, 66,128,128,128,128,128, 66, 60,  0,  0,  0}; /* "C" */
static const uint8_t helvetica12_Character_068[] = {  8,  0,  0,  0,248,132,130,130,130,130,130,132,248,  0,  0,  0}; /* "D" */
static const uint8_t helvetica12_Character_069[] = {  7,  0,  0,  0,252,128,128,128,252,128,128,128,252,  0,  0,  0}; /* "E" */
static const uint8_t helvetica12_Character_070[] = {  7,  0,  0,  0,128,128,128,128,248,128,128,128,252,  0,  0,  0}; /* "F" */
static const uint8_t helvetica12_Character_071[] = {  8,  0,  0,  0, 58, 70,130,130,142,128,128, 66, 60,  0,  0,  0}; /* "G" */
static const uint8_t helvetica12_Character_072[] = {  8,  0,  0,  0,130,130,130,130,254,130,130,130,130,  0,  0,  0}; /* "H" */
static const uint8_t helvetica12_Character_073[] = {  2,  0,  0,  0,128,128,128,128,128,128,128,128,128,  0,  0,  0}; /* "I" */
static const uint8_t helvetica12_Character_074[] = {  6,  0,  0,  0,112,136,136,  8,  8,  8,  8,  8,  8,  0,  0,  0}; /* "J" */
static const uint8_t helvetica12_Character_075[] = {  8,  0,  0,  0,130,132,136,144,224,160,144,136,132,  0,  0,  0}; /* "K" */
static const uint8_t helvetica12_Character_076[] = {  6,  0,  0,  0,248,128,128,128,128,128,128,128,128,  0,  0,  0}; /* "L" */
static const uint8_t helvetica12_Character_077[] = { 10,  0,  0,  0,  0,  0,  0,136,128,136,128,148,128,148,128,162,128,162,128,193,128,193,128,128,128,  0,  0,  0,  0,  0,  0}; /* "M" */
static const uint8_t helvetica12_Character_078[] = {  8,  0,  0,  0,130,134,138,138,146,162,162,194,130,  0,  0,  0}; /* "N" */
static const uint8_t helvetica12_Character_079[] = {  9,  0,  0,  0,  0,  0,  0, 60,  0, 66,  0,129,  0,129,  0,129,  0,129,  0,129,  0, 66,  0, 60,  0,  0,  0,  0,  0,  0,  0}; /* "O" */
static const uint8_t helvetica12_Character_080[] = {  7,  0,  0,  0,128,128,128,128,248,132,132,132,248,  0,  0,  0}; /* "P" */
static const uint8_t helvetica12_Character_081[] = {  9,  0,  0,  0,  0,  0,  0, 61,  0, 66,  0,133,  0,137,  0,129,  0,129,  0,129,  0, 66,  0, 60,  0,  0,  0,  0,  0,  0,  0}; /* "Q" */
static const uint8_t helvetica12_Character_082[] = {  7,  0,  0,  0,132,132,132,136,248,132,132,132,248,  0,  0,  0}; /* "R" */
static const uint8_t helvetica12_Character_083[] = {  7,  0,  0,  0,120,132,132,  4, 24, 96,128,132,120,  0,  0,  0}; /* "S" */
static const uint8_t helvetica12_Character_084[] = {  8,  0,  0,  0, 16, 16, 16, 16, 16, 16, 16, 16,254,  0,  0,  0}; /* "T" */
static const uint8_t helvetica12_Character_085[] = {  7,  0,  0,  0,120,132,132,132,132,132,132,132,132,  0,  0,  0}; /* "U" */
static const uint8_t helvetica12_Character_087[] = { 10,  0,  0,  0,  0,  0,  0, 34,  0, 34,  0, 34,  0, 85,  0, 85,  0, 73,  0,136,128,136,128,136,128,  0,  0,  0,  0,  0,  0}; /* "W" */
static const uint8_t helvetica12_Character_086[] = {  8,  0,  0,  0, 16, 16, 40, 40, 68, 68, 68,130,130,  0,  0,  0}; /* "V" */
static const uint8_t helvetica12_Character_088[] = {  8,  0,  0,  0,130, 68, 68, 40, 16, 40, 68, 68,130,  0,  0,  0}; /* "X" */
static const uint8_t helvetica12_Character_089[] = {  8,  0,  0,  0, 16, 16, 16, 16, 40, 68, 68,130,130,  0,  0,  0}; /* "Y" */
static const uint8_t helvetica12_Character_090[] = {  8,  0,  0,  0,254,128, 64, 32, 16,  8,  4,  2,254,  0,  0,  0}; /* "Z" */
static const uint8_t helvetica12_Character_048[] = {  6,  0,  0,  0,112,136,136,136,136,136,136,136,112,  0,  0,  0}; /* "0" */
static const uint8_t helvetica12_Character_049[] = {  4,  0,  0,  0, 32, 32, 32, 32, 32, 32, 32,224, 32,  0,  0,  0}; /* "1" */
static const uint8_t helvetica12_Character_050[] = {  6,  0,  0,  0,248,128,128, 64, 32, 16,  8,136,112,  0,  0,  0}; /* "2" */
static const uint8_t helvetica12_Character_051[] = {  6,  0,  0,  0,112,136,136,  8,  8, 48,  8,136,112,  0,  0,  0}; /* "3" */
static const uint8_t helvetica12_Character_052[] = {  7,  0,  0,  0,  8,  8,252,136, 72, 40, 40, 24,  8,  0,  0,  0}; /* "4" */
static const uint8_t helvetica12_Character_053[] = {  6,  0,  0,  0,112,136,136,  8,  8,240,128,128,248,  0,  0,  0}; /* "5" */
static const uint8_t helvetica12_Character_054[] = {  6,  0,  0,  0,112,136,136,136,200,176,128,136,112,  0,  0,  0}; /* "6" */
static const uint8_t helvetica12_Character_055[] = {  6,  0,  0,  0, 64, 64, 32, 32, 32, 16, 16,  8,248,  0,  0,  0}; /* "7" */
static const uint8_t helvetica12_Character_056[] = {  6,  0,  0,  0,112,136,136,136,136,112,136,136,112,  0,  0,  0}; /* "8" */
static const uint8_t helvetica12_Character_057[] = {  6,  0,  0,  0,112,136,  8,  8,120,136,136,136,112,  0,  0,  0}; /* "9" */
static const uint8_t helvetica12_Character_246[] = {  6,  0,  0,  0,112,136,136,136,136,136,112,  0, 80,  0,  0,  0}; /* "" */
static const uint8_t helvetica12_Character_228[] = {  7,  0,  0,  0,116,136,136,120,  8,136,112,  0, 80,  0,  0,  0}; /* "" */
static const uint8_t helvetica12_Character_252[] = {  6,  0,  0,  0,104,152,136,136,136,136,136,  0, 80,  0,  0,  0}; /* "" */
static const uint8_t helvetica12_Character_214[] = {  9,  0,  0,  0,  0,  0,  0, 60,  0, 66,  0,129,  0,129,  0,129,  0,129,  0,129,  0, 66,  0, 60,  0,  0,  0, 36,  0,  0,  0}; /* "" */
static const uint8_t helvetica12_Character_196[] = {  8,  0,  0,  0,130,130,130,124, 68, 68, 40, 16, 16,  0, 40,  0}; /* "" */
static const uint8_t helvetica12_Character_220[] = {  7,  0,  0,  0,120,132,132,132,132,132,132,132,132,  0, 72,  0}; /* "" */
static const uint8_t helvetica12_Character_223[] = {  6,  0,  0,  0,176,136,136,136,176,136,136,136,112,  0,  0,  0}; /* "" */
static const uint8_t helvetica12_Character_096[] = {  3,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 64,128,  0,  0}; /* "`" */
static const uint8_t helvetica12_Character_039[] = {  2,  0,  0,  0,  0,  0,  0,  0,  0,  0,128,128,128,  0,  0,  0}; /* "'" */
static const uint8_t helvetica12_Character_124[] = {  2,128,128,128,128,128,128,128,128,128,128,128,128,  0,  0,  0}; /* "|" */
static const uint8_t helvetica12_Character_126[] = {  7,  0,  0,  0,  0,  0,  0,152,100,  0,  0,  0,  0,  0,  0,  0}; /* "~" */
static const uint8_t helvetica12_Character_033[] = {  2,  0,  0,  0,128,  0,128,128,128,128,128,128,128,  0,  0,  0}; /* "!" */
static const uint8_t helvetica12_Character_064[] = { 11,  0, 32,  0, 32, 62, 32, 64, 32,155, 32,166,160,162, 96,162, 64,146, 64, 77, 96, 96,160, 31,  0,  0,  0,  0,  0,  0,  0}; /* "@" */
static const uint8_t helvetica12_Character_035[] = {  7,  0,  0,  0, 80, 80, 80,252, 40,252, 40, 40,  0,  0,  0,  0}; /* "#" */
static const uint8_t helvetica12_Character_036[] = {  6,  0,  0, 32,112,168,168, 40,112,160,168,112, 32,  0,  0,  0}; /* "$" */
static const uint8_t helvetica12_Character_037[] = { 10,  0,  0,  0,  0,  0,  0, 35,  0, 20,128, 20,128, 19,  0,  8,  0,104,  0,148,  0,148,  0, 98,  0,  0,  0,  0,  0,  0,  0}; /* "%" */
static const uint8_t helvetica12_Character_094[] = {  6,  0,  0,  0,  0,  0,  0,  0,  0,136, 80, 32,  0,  0,  0,  0}; /* "^" */
static const uint8_t helvetica12_Character_038[] = {  8,  0,  0,  0,114,140,132,138, 80, 48, 72, 72, 48,  0,  0,  0}; /* "&" */
static const uint8_t helvetica12_Character_042[] = {  4,  0,  0,  0,  0,  0,  0,  0,  0,  0,160, 64,160,  0,  0,  0}; /* "*" */
static const uint8_t helvetica12_Character_040[] = {  4, 32, 64, 64,128,128,128,128,128,128, 64, 64, 32,  0,  0,  0}; /* "(" */
static const uint8_t helvetica12_Character_041[] = {  4,128, 64, 64, 32, 32, 32, 32, 32, 32, 64, 64,128,  0,  0,  0}; /* ")" */
static const uint8_t helvetica12_Character_045[] = {  5,  0,  0,  0,  0,  0,  0,240,  0,  0,  0,  0,  0,  0,  0,  0}; /* "-" */
static const uint8_t helvetica12_Character_095[] = {  8,  0,254,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "_" */
static const uint8_t helvetica12_Character_061[] = {  6,  0,  0,  0,  0,  0,248,  0,248,  0,  0,  0,  0,  0,  0,  0}; /* "=" */
static const uint8_t helvetica12_Character_043[] = {  6,  0,  0,  0,  0, 32, 32,248, 32, 32,  0,  0,  0,  0,  0,  0}; /* "+" */
static const uint8_t helvetica12_Character_091[] = {  3,192,128,128,128,128,128,128,128,128,128,128,192,  0,  0,  0}; /* "[" */
static const uint8_t helvetica12_Character_123[] = {  5, 48, 64, 64, 64, 64, 64,128, 64, 64, 64, 64, 48,  0,  0,  0}; /* "{" */
static const uint8_t helvetica12_Character_125[] = {  5,192, 32, 32, 32, 32, 32, 16, 32, 32, 32, 32,192,  0,  0,  0}; /* "}" */
static const uint8_t helvetica12_Character_093[] = {  3,192, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64,192,  0,  0,  0}; /* "]" */
static const uint8_t helvetica12_Character_059[] = {  3,  0,128, 64, 64,  0,  0,  0,  0, 64,  0,  0,  0,  0,  0,  0}; /* ";" */
static const uint8_t helvetica12_Character_058[] = {  2,  0,  0,  0,128,  0,  0,  0,  0,128,  0,  0,  0,  0,  0,  0}; /* ":" */
static const uint8_t helvetica12_Character_044[] = {  3,  0,128, 64, 64,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "," */
static const uint8_t helvetica12_Character_046[] = {  2,  0,  0,  0,128,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "." */
static const uint8_t helvetica12_Character_060[] = {  7,  0,  0,  0,  0, 12, 48,192, 48, 12,  0,  0,  0,  0,  0,  0}; /* "<" */
static const uint8_t helvetica12_Character_062[] = {  7,  0,  0,  0,  0,192, 48, 12, 48,192,  0,  0,  0,  0,  0,  0}; /* ">" */
static const uint8_t helvetica12_Character_047[] = {  5,  0,  0,  0,128,128, 64, 64, 64, 32, 32, 16, 16,  0,  0,  0}; /* "/" */
static const uint8_t helvetica12_Character_063[] = {  6,  0,  0,  0, 32,  0, 32, 32, 16, 16,136,136,112,  0,  0,  0}; /* "?" */
static const uint8_t helvetica12_Character_092[] = {  5,  0,  0,  0, 16, 16, 32, 32, 32, 64, 64,128,128,  0,  0,  0}; /* "\" */
static const uint8_t helvetica12_Character_034[] = {  4,  0,  0,  0,  0,  0,  0,  0,  0,  0,160,160,160,  0,  0,  0}; /* """ */

/* The font characters mapping: */
const uint8_t * s_helvetica12_characters[] = {
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_032,
helvetica12_Character_033,helvetica12_Character_034,helvetica12_Character_035,
helvetica12_Character_036,helvetica12_Character_037,helvetica12_Character_038,
helvetica12_Character_039,helvetica12_Character_040,helvetica12_Character_041,
helvetica12_Character_042,helvetica12_Character_043,helvetica12_Character_044,
helvetica12_Character_045,helvetica12_Character_046,helvetica12_Character_047,
helvetica12_Character_048,helvetica12_Character_049,helvetica12_Character_050,
helvetica12_Character_051,helvetica12_Character_052,helvetica12_Character_053,
helvetica12_Character_054,helvetica12_Character_055,helvetica12_Character_056,
helvetica12_Character_057,helvetica12_Character_058,helvetica12_Character_059,
helvetica12_Character_060,helvetica12_Character_061,helvetica12_Character_062,
helvetica12_Character_063,helvetica12_Character_064,helvetica12_Character_065,
helvetica12_Character_066,helvetica12_Character_067,helvetica12_Character_068,
helvetica12_Character_069,helvetica12_Character_070,helvetica12_Character_071,
helvetica12_Character_072,helvetica12_Character_073,helvetica12_Character_074,
helvetica12_Character_075,helvetica12_Character_076,helvetica12_Character_077,
helvetica12_Character_078,helvetica12_Character_079,helvetica12_Character_080,
helvetica12_Character_081,helvetica12_Character_082,helvetica12_Character_083,
helvetica12_Character_084,helvetica12_Character_085,helvetica12_Character_086,
helvetica12_Character_087,helvetica12_Character_088,helvetica12_Character_089,
helvetica12_Character_090,helvetica12_Character_091,helvetica12_Character_092,
helvetica12_Character_093,helvetica12_Character_094,helvetica12_Character_095,
helvetica12_Character_096,helvetica12_Character_097,helvetica12_Character_098,
helvetica12_Character_099,helvetica12_Character_100,helvetica12_Character_101,
helvetica12_Character_102,helvetica12_Character_103,helvetica12_Character_104,
helvetica12_Character_105,helvetica12_Character_106,helvetica12_Character_107,
helvetica12_Character_108,helvetica12_Character_109,helvetica12_Character_110,
helvetica12_Character_111,helvetica12_Character_112,helvetica12_Character_113,
helvetica12_Character_114,helvetica12_Character_115,helvetica12_Character_116,
helvetica12_Character_117,helvetica12_Character_118,helvetica12_Character_119,
helvetica12_Character_120,helvetica12_Character_121,helvetica12_Character_122,
helvetica12_Character_123,helvetica12_Character_124,helvetica12_Character_125,
helvetica12_Character_126,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_196,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_214,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_220,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_223,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_228,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_246,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_252,helvetica12_Character_042,helvetica12_Character_042,
helvetica12_Character_042,NULL};

/* The font structure: */
const ufo::UBuiltinFontStruct ufo::s_font_helvetica12 = {"-adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso8859-1", 11, 3, 12, 3, 12, s_helvetica12_characters};

static const uint8_t timesRoman10_Character_032[] = {  4,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* " " */
static const uint8_t timesRoman10_Character_097[] = {  4,  0,  0,  0,224,160, 96, 32,192,  0,  0,  0,  0,  0}; /* "a" */
static const uint8_t timesRoman10_Character_098[] = {  5,  0,  0,  0,224,144,144,144,224,128,128,  0,  0,  0}; /* "b" */
static const uint8_t timesRoman10_Character_099[] = {  4,  0,  0,  0, 96,128,128,128, 96,  0,  0,  0,  0,  0}; /* "c" */
static const uint8_t timesRoman10_Character_100[] = {  6,  0,  0,  0,104,144,144,144,112, 16, 48,  0,  0,  0}; /* "d" */
static const uint8_t timesRoman10_Character_101[] = {  4,  0,  0,  0, 96,128,192,160, 96,  0,  0,  0,  0,  0}; /* "e" */
static const uint8_t timesRoman10_Character_102[] = {  5,  0,  0,  0,224, 64, 64, 64,224, 64, 48,  0,  0,  0}; /* "f" */
static const uint8_t timesRoman10_Character_103[] = {  5,  0,224,144, 96, 64,160,160,112,  0,  0,  0,  0,  0}; /* "g" */
static const uint8_t timesRoman10_Character_104[] = {  6,  0,  0,  0,216,144,144,144,224,128,128,  0,  0,  0}; /* "h" */
static const uint8_t timesRoman10_Character_105[] = {  3,  0,  0,  0, 64, 64, 64, 64,192,  0, 64,  0,  0,  0}; /* "i" */
static const uint8_t timesRoman10_Character_106[] = {  3,  0,128, 64, 64, 64, 64, 64,192,  0, 64,  0,  0,  0}; /* "j" */
static const uint8_t timesRoman10_Character_107[] = {  6,  0,  0,  0,152,144,224,160,144,128,128,  0,  0,  0}; /* "k" */
static const uint8_t timesRoman10_Character_108[] = {  4,  0,  0,  0,224, 64, 64, 64, 64, 64,192,  0,  0,  0}; /* "l" */
static const uint8_t timesRoman10_Character_109[] = {  9,  0,  0,  0,  0,  0,  0,219,  0,146,  0,146,  0,146,  0,236,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "m" */
static const uint8_t timesRoman10_Character_110[] = {  6,  0,  0,  0,216,144,144,144,224,  0,  0,  0,  0,  0}; /* "n" */
static const uint8_t timesRoman10_Character_111[] = {  5,  0,  0,  0, 96,144,144,144, 96,  0,  0,  0,  0,  0}; /* "o" */
static const uint8_t timesRoman10_Character_112[] = {  5,  0,192,128,224,144,144,144,224,  0,  0,  0,  0,  0}; /* "p" */
static const uint8_t timesRoman10_Character_113[] = {  6,  0, 56, 16,112,144,144,144,112,  0,  0,  0,  0,  0}; /* "q" */
static const uint8_t timesRoman10_Character_114[] = {  4,  0,  0,  0,224, 64, 64, 96,160,  0,  0,  0,  0,  0}; /* "r" */
static const uint8_t timesRoman10_Character_115[] = {  4,  0,  0,  0,224, 32, 96,128,224,  0,  0,  0,  0,  0}; /* "s" */
static const uint8_t timesRoman10_Character_116[] = {  5,  0,  0,  0, 48, 64, 64, 64,224, 64,  0,  0,  0,  0}; /* "t" */
static const uint8_t timesRoman10_Character_117[] = {  6,  0,  0,  0,104,144,144,144,144,  0,  0,  0,  0,  0}; /* "u" */
static const uint8_t timesRoman10_Character_119[] = {  9,  0,  0,  0,  0,  0,  0, 40,  0,108,  0, 84,  0,146,  0,219,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "w" */
static const uint8_t timesRoman10_Character_118[] = {  6,  0,  0,  0, 32, 96, 80,144,216,  0,  0,  0,  0,  0}; /* "v" */
static const uint8_t timesRoman10_Character_120[] = {  6,  0,  0,  0,216, 80, 32, 80,216,  0,  0,  0,  0,  0}; /* "x" */
static const uint8_t timesRoman10_Character_121[] = {  7,  0, 64, 64, 32, 48, 80, 72,220,  0,  0,  0,  0,  0}; /* "y" */
static const uint8_t timesRoman10_Character_122[] = {  5,  0,  0,  0,240,144, 64, 32,240,  0,  0,  0,  0,  0}; /* "z" */
static const uint8_t timesRoman10_Character_065[] = {  8,  0,  0,  0,238, 68,124, 40, 40, 56, 16,  0,  0,  0}; /* "A" */
static const uint8_t timesRoman10_Character_066[] = {  6,  0,  0,  0,240, 72, 72,112, 72, 72,240,  0,  0,  0}; /* "B" */
static const uint8_t timesRoman10_Character_067[] = {  7,  0,  0,  0,120,196,128,128,128,196,124,  0,  0,  0}; /* "C" */
static const uint8_t timesRoman10_Character_068[] = {  7,  0,  0,  0,248, 76, 68, 68, 68, 76,248,  0,  0,  0}; /* "D" */
static const uint8_t timesRoman10_Character_069[] = {  6,  0,  0,  0,248, 72, 64,112, 64, 72,248,  0,  0,  0}; /* "E" */
static const uint8_t timesRoman10_Character_070[] = {  6,  0,  0,  0,224, 64, 64,112, 64, 72,248,  0,  0,  0}; /* "F" */
static const uint8_t timesRoman10_Character_071[] = {  7,  0,  0,  0,120,196,132,156,128,196,124,  0,  0,  0}; /* "G" */
static const uint8_t timesRoman10_Character_072[] = {  8,  0,  0,  0,238, 68, 68,124, 68, 68,238,  0,  0,  0}; /* "H" */
static const uint8_t timesRoman10_Character_073[] = {  4,  0,  0,  0,224, 64, 64, 64, 64, 64,224,  0,  0,  0}; /* "I" */
static const uint8_t timesRoman10_Character_074[] = {  5,  0,  0,  0,192,160, 32, 32, 32, 32,112,  0,  0,  0}; /* "J" */
static const uint8_t timesRoman10_Character_075[] = {  7,  0,  0,  0,236, 72, 80, 96, 80, 72,236,  0,  0,  0}; /* "K" */
static const uint8_t timesRoman10_Character_076[] = {  6,  0,  0,  0,248, 72, 64, 64, 64, 64,224,  0,  0,  0}; /* "L" */
static const uint8_t timesRoman10_Character_077[] = { 10,  0,  0,  0,  0,  0,  0,235,128, 73,  0, 85,  0, 85,  0, 99,  0, 99,  0,227,128,  0,  0,  0,  0,  0,  0}; /* "M" */
static const uint8_t timesRoman10_Character_078[] = {  8,  0,  0,  0,228, 76, 76, 84, 84,100,238,  0,  0,  0}; /* "N" */
static const uint8_t timesRoman10_Character_079[] = {  7,  0,  0,  0,120,204,132,132,132,204,120,  0,  0,  0}; /* "O" */
static const uint8_t timesRoman10_Character_080[] = {  6,  0,  0,  0,224, 64, 64,112, 72, 72,240,  0,  0,  0}; /* "P" */
static const uint8_t timesRoman10_Character_081[] = {  7,  0, 12, 24,112,204,132,132,132,204,120,  0,  0,  0}; /* "Q" */
static const uint8_t timesRoman10_Character_082[] = {  7,  0,  0,  0,236, 72, 80,112, 72, 72,240,  0,  0,  0}; /* "R" */
static const uint8_t timesRoman10_Character_083[] = {  5,  0,  0,  0,224,144, 16, 96,192,144,112,  0,  0,  0}; /* "S" */
static const uint8_t timesRoman10_Character_084[] = {  6,  0,  0,  0,112, 32, 32, 32, 32,168,248,  0,  0,  0}; /* "T" */
static const uint8_t timesRoman10_Character_085[] = {  8,  0,  0,  0, 56,108, 68, 68, 68, 68,238,  0,  0,  0}; /* "U" */
static const uint8_t timesRoman10_Character_087[] = { 11,  0, 32,  0,  0,  0,  0, 34, 32, 34, 32, 85,  0, 85,  0,201,160,136,160,221,192,  0,  0,  0,  0,  0,  0}; /* "W" */
static const uint8_t timesRoman10_Character_086[] = {  8,  0,  0,  0, 16, 16, 40, 40,108, 68,238,  0,  0,  0}; /* "V" */
static const uint8_t timesRoman10_Character_088[] = {  8,  0,  0,  0,238, 68, 40, 16, 40, 68,238,  0,  0,  0}; /* "X" */
static const uint8_t timesRoman10_Character_089[] = {  8,  0,  0,  0, 56, 16, 16, 40, 40, 68,238,  0,  0,  0}; /* "Y" */
static const uint8_t timesRoman10_Character_090[] = {  6,  0,  0,  0,248,136, 64, 32, 16,136,248,  0,  0,  0}; /* "Z" */
static const uint8_t timesRoman10_Character_048[] = {  5,  0,  0,  0, 96,144,144,144,144,144, 96,  0,  0,  0}; /* "0" */
static const uint8_t timesRoman10_Character_049[] = {  4,  0,  0,  0,224, 64, 64, 64, 64,192, 64,  0,  0,  0}; /* "1" */
static const uint8_t timesRoman10_Character_050[] = {  5,  0,  0,  0,240, 64, 32, 32, 16,144, 96,  0,  0,  0}; /* "2" */
static const uint8_t timesRoman10_Character_051[] = {  5,  0,  0,  0,224, 16, 16, 96, 16,144, 96,  0,  0,  0}; /* "3" */
static const uint8_t timesRoman10_Character_052[] = {  6,  0,  0,  0, 16, 16,248,144, 80, 48, 16,  0,  0,  0}; /* "4" */
static const uint8_t timesRoman10_Character_053[] = {  5,  0,  0,  0,224,144, 16, 16,224, 64,112,  0,  0,  0}; /* "5" */
static const uint8_t timesRoman10_Character_054[] = {  5,  0,  0,  0, 96,144,144,144,224, 64, 48,  0,  0,  0}; /* "6" */
static const uint8_t timesRoman10_Character_055[] = {  5,  0,  0,  0, 64, 64, 64, 32, 32,144,240,  0,  0,  0}; /* "7" */
static const uint8_t timesRoman10_Character_056[] = {  5,  0,  0,  0, 96,144,144, 96,144,144, 96,  0,  0,  0}; /* "8" */
static const uint8_t timesRoman10_Character_057[] = {  5,  0,  0,  0,192, 32,112,144,144,144, 96,  0,  0,  0}; /* "9" */
static const uint8_t timesRoman10_Character_246[] = {  5,  0,  0,  0, 96,144,144,144, 96,  0,160,  0,  0,  0}; /* "" */
static const uint8_t timesRoman10_Character_228[] = {  4,  0,  0,  0,224,160, 96, 32,192,  0,160,  0,  0,  0}; /* "" */
static const uint8_t timesRoman10_Character_252[] = {  6,  0,  0,  0,104,144,144,144,144,  0, 80,  0,  0,  0}; /* "" */
static const uint8_t timesRoman10_Character_214[] = {  7,  0,  0,  0,120,204,132,132,132,204,120,  0, 80,  0}; /* "" */
static const uint8_t timesRoman10_Character_196[] = {  8,  0,  0,  0,238, 68,124, 40, 40, 56, 16,  0, 40,  0}; /* "" */
static const uint8_t timesRoman10_Character_220[] = {  8,  0,  0,  0, 56,108, 68, 68, 68, 68,238,  0, 40,  0}; /* "" */
static const uint8_t timesRoman10_Character_223[] = {  5,  0,  0,  0,224, 80, 80, 96, 80, 80, 32,  0,  0,  0}; /* "" */
static const uint8_t timesRoman10_Character_096[] = {  3,  0,  0,  0,  0,  0,  0,  0,  0,  0, 64,128,  0,  0}; /* "`" */
static const uint8_t timesRoman10_Character_039[] = {  2,  0,  0,  0,  0,  0,  0,  0,  0,128,128,  0,  0,  0}; /* "'" */
static const uint8_t timesRoman10_Character_124[] = {  2,  0,128,128,128,128,128,128,128,128,128,  0,  0,  0}; /* "|" */
static const uint8_t timesRoman10_Character_126[] = {  7,  0,  0,  0,  0,  0,152,100,  0,  0,  0,  0,  0,  0}; /* "~" */
static const uint8_t timesRoman10_Character_033[] = {  2,  0,  0,  0,128,  0,128,128,128,128,128,  0,  0,  0}; /* "!" */
static const uint8_t timesRoman10_Character_064[] = {  9,  0,  0, 62,  0, 64,  0,146,  0,173,  0,165,  0,165,  0,157,  0, 66,  0, 60,  0,  0,  0,  0,  0,  0,  0}; /* "@" */
static const uint8_t timesRoman10_Character_035[] = {  6,  0,  0,  0, 80, 80,248, 80,248, 80, 80,  0,  0,  0}; /* "#" */
static const uint8_t timesRoman10_Character_036[] = {  5,  0,  0, 32,224,144, 16, 96,128,144,112, 32,  0,  0}; /* "$" */
static const uint8_t timesRoman10_Character_037[] = {  8,  0,  0,  0, 68, 42, 42, 86,168,164,126,  0,  0,  0}; /* "%" */
static const uint8_t timesRoman10_Character_094[] = {  4,  0,  0,  0,  0,  0,  0,  0,160,160, 64,  0,  0,  0}; /* "^" */
static const uint8_t timesRoman10_Character_038[] = {  9,  0,  0,  0,  0,  0,  0,118,  0,141,  0,152,  0,116,  0,110,  0, 80,  0, 48,  0,  0,  0,  0,  0,  0,  0}; /* "&" */
static const uint8_t timesRoman10_Character_042[] = {  4,  0,  0,  0,  0,  0,  0,  0,160, 64,160,  0,  0,  0}; /* "*" */
static const uint8_t timesRoman10_Character_040[] = {  4,  0, 32, 64, 64,128,128,128, 64, 64, 32,  0,  0,  0}; /* "(" */
static const uint8_t timesRoman10_Character_041[] = {  4,  0,128, 64, 64, 32, 32, 32, 64, 64,128,  0,  0,  0}; /* ")" */
static const uint8_t timesRoman10_Character_045[] = {  4,  0,  0,  0,  0,  0,224,  0,  0,  0,  0,  0,  0,  0}; /* "-" */
static const uint8_t timesRoman10_Character_095[] = {  6,248,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "_" */
static const uint8_t timesRoman10_Character_061[] = {  6,  0,  0,  0,  0,248,  0,248,  0,  0,  0,  0,  0,  0}; /* "=" */
static const uint8_t timesRoman10_Character_043[] = {  6,  0,  0,  0, 32, 32,248, 32, 32,  0,  0,  0,  0,  0}; /* "+" */
static const uint8_t timesRoman10_Character_091[] = {  3,  0,192,128,128,128,128,128,128,128,192,  0,  0,  0}; /* "[" */
static const uint8_t timesRoman10_Character_123[] = {  4,  0, 32, 64, 64, 64,128, 64, 64, 64, 32,  0,  0,  0}; /* "{" */
static const uint8_t timesRoman10_Character_125[] = {  4,  0,128, 64, 64, 64, 32, 64, 64, 64,128,  0,  0,  0}; /* "}" */
static const uint8_t timesRoman10_Character_093[] = {  3,  0,192, 64, 64, 64, 64, 64, 64, 64,192,  0,  0,  0}; /* "]" */
static const uint8_t timesRoman10_Character_059[] = {  2,  0,128,128,128,  0,  0,  0,128,  0,  0,  0,  0,  0}; /* ";" */
static const uint8_t timesRoman10_Character_058[] = {  2,  0,  0,  0,128,  0,  0,  0,128,  0,  0,  0,  0,  0}; /* ":" */
static const uint8_t timesRoman10_Character_044[] = {  2,  0,128,128,128,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "," */
static const uint8_t timesRoman10_Character_046[] = {  2,  0,  0,  0,128,  0,  0,  0,  0,  0,  0,  0,  0,  0}; /* "." */
static const uint8_t timesRoman10_Character_060[] = {  4,  0,  0,  0, 32, 64,128, 64, 32,  0,  0,  0,  0,  0}; /* "<" */
static const uint8_t timesRoman10_Character_062[] = {  4,  0,  0,  0,128, 64, 32, 64,128,  0,  0,  0,  0,  0}; /* ">" */
static const uint8_t timesRoman10_Character_047[] = {  4,  0,  0,  0,128,128, 64, 64, 64, 32, 32,  0,  0,  0}; /* "/" */
static const uint8_t timesRoman10_Character_063[] = {  4,  0,  0,  0, 64,  0, 64, 64, 32,160,224,  0,  0,  0}; /* "?" */
static const uint8_t timesRoman10_Character_092[] = {  4,  0,  0,  0, 32, 32, 64, 64, 64,128,128,  0,  0,  0}; /* "\" */
static const uint8_t timesRoman10_Character_034[] = {  4,  0,  0,  0,  0,  0,  0,  0,  0,160,160,  0,  0,  0}; /* """ */

/* The font characters mapping: */
const uint8_t * s_timesRoman10_characters[] = {
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_032,
timesRoman10_Character_033,timesRoman10_Character_034,timesRoman10_Character_035,
timesRoman10_Character_036,timesRoman10_Character_037,timesRoman10_Character_038,
timesRoman10_Character_039,timesRoman10_Character_040,timesRoman10_Character_041,
timesRoman10_Character_042,timesRoman10_Character_043,timesRoman10_Character_044,
timesRoman10_Character_045,timesRoman10_Character_046,timesRoman10_Character_047,
timesRoman10_Character_048,timesRoman10_Character_049,timesRoman10_Character_050,
timesRoman10_Character_051,timesRoman10_Character_052,timesRoman10_Character_053,
timesRoman10_Character_054,timesRoman10_Character_055,timesRoman10_Character_056,
timesRoman10_Character_057,timesRoman10_Character_058,timesRoman10_Character_059,
timesRoman10_Character_060,timesRoman10_Character_061,timesRoman10_Character_062,
timesRoman10_Character_063,timesRoman10_Character_064,timesRoman10_Character_065,
timesRoman10_Character_066,timesRoman10_Character_067,timesRoman10_Character_068,
timesRoman10_Character_069,timesRoman10_Character_070,timesRoman10_Character_071,
timesRoman10_Character_072,timesRoman10_Character_073,timesRoman10_Character_074,
timesRoman10_Character_075,timesRoman10_Character_076,timesRoman10_Character_077,
timesRoman10_Character_078,timesRoman10_Character_079,timesRoman10_Character_080,
timesRoman10_Character_081,timesRoman10_Character_082,timesRoman10_Character_083,
timesRoman10_Character_084,timesRoman10_Character_085,timesRoman10_Character_086,
timesRoman10_Character_087,timesRoman10_Character_088,timesRoman10_Character_089,
timesRoman10_Character_090,timesRoman10_Character_091,timesRoman10_Character_092,
timesRoman10_Character_093,timesRoman10_Character_094,timesRoman10_Character_095,
timesRoman10_Character_096,timesRoman10_Character_097,timesRoman10_Character_098,
timesRoman10_Character_099,timesRoman10_Character_100,timesRoman10_Character_101,
timesRoman10_Character_102,timesRoman10_Character_103,timesRoman10_Character_104,
timesRoman10_Character_105,timesRoman10_Character_106,timesRoman10_Character_107,
timesRoman10_Character_108,timesRoman10_Character_109,timesRoman10_Character_110,
timesRoman10_Character_111,timesRoman10_Character_112,timesRoman10_Character_113,
timesRoman10_Character_114,timesRoman10_Character_115,timesRoman10_Character_116,
timesRoman10_Character_117,timesRoman10_Character_118,timesRoman10_Character_119,
timesRoman10_Character_120,timesRoman10_Character_121,timesRoman10_Character_122,
timesRoman10_Character_123,timesRoman10_Character_124,timesRoman10_Character_125,
timesRoman10_Character_126,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_196,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_214,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_220,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_223,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_228,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_246,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_252,timesRoman10_Character_042,timesRoman10_Character_042,
timesRoman10_Character_042,NULL};

/* The font structure: */
const ufo::UBuiltinFontStruct ufo::s_font_timesRoman10 = {"-adobe-times-medium-r-normal--10-100-75-75-p-54-iso8859-1", 9, 3, 10, 3, 10, s_timesRoman10_characters};

/*** END OF FILE ***/
